## org.apache.lucene.analysis.ja.tokenattributes
Class BaseFormAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.ja.tokenattributes.BaseFormAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, BaseFormAttribute, org.apache.lucene.util.Attribute

    public class BaseFormAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements BaseFormAttribute, Cloneable

Attribute for `Token.getBaseForm()`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`BaseFormAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`String` `getBaseForm()`
`void` `reflectWith(org.apache.lucene.util.AttributeReflector reflector)`
`void` `setToken(Token token)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseFormAttributeImpl

    public BaseFormAttributeImpl()

Method Detail

### getBaseForm

    public String getBaseForm()

  Specified by:
    `getBaseForm` in interface `BaseFormAttribute`

### setToken

    public void setToken(Token token)

  Specified by:
    `setToken` in interface `BaseFormAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### reflectWith

    public void reflectWith(org.apache.lucene.util.AttributeReflector reflector)

  Overrides:
    `reflectWith` in class `org.apache.lucene.util.AttributeImpl`